JMSConnectorManager (Axis API)
Keywords: org.apache.axis.transport.jms.JMSConnectorManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSConnectorManager

    java.lang.Object
      org.apache.axis.transport.jms.JMSConnectorManager

public class JMSConnectorManager
extends java.lang.Object

JMSConnectorManager manages a pool of connectors and works with the vendor adapters to support the reuse of JMS connections.

Author:
  Ray Chun (rchun@sonicsoftware.com)

Nested Class Summary
`class` | `JMSConnectorManager.ShareableObjectPool` A simple non-blocking pool impl for objects that can be shared.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Method Summary
`void` | `addConnectorToPool(JMSConnector conn)` Adds a JMSConnector to the appropriate vendor pool
`JMSConnector` | `getConnector(java.util.HashMap connectorProperties, java.util.HashMap connectionFactoryProperties, java.lang.String username, java.lang.String password, JMSVendorAdapter vendorAdapter)` Retrieves a JMSConnector that satisfies the provided connector criteria
`static JMSConnectorManager` | `getInstance()`
`JMSConnectorManager.ShareableObjectPool` | `getVendorPool(java.lang.String vendorId)` Returns the pool of JMSConnectors for a particular vendor
`void` | `release(JMSConnector connector)` Performs a non-exclusive checkin of the JMSConnector
`void` | `removeConnectorFromPool(JMSConnector conn)` Removes a JMSConnector from the appropriate vendor pool
`void` | `reserve(JMSConnector connector)` Performs a non-exclusive checkout of the JMSConnector

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Method Detail

### getInstance

    public static JMSConnectorManager getInstance()

### getVendorPool

    public JMSConnectorManager.ShareableObjectPool getVendorPool(java.lang.String vendorId)

  Returns the pool of JMSConnectors for a particular vendor

### getConnector

    public JMSConnector getConnector(java.util.HashMap connectorProperties,
                                     java.util.HashMap connectionFactoryProperties,
                                     java.lang.String username,
                                     java.lang.String password,
                                     JMSVendorAdapter vendorAdapter)
                              throws AxisFault

  Retrieves a JMSConnector that satisfies the provided connector criteria

  Throws:
    `AxisFault`

### addConnectorToPool

    public void addConnectorToPool(JMSConnector conn)

  Adds a JMSConnector to the appropriate vendor pool

### removeConnectorFromPool

    public void removeConnectorFromPool(JMSConnector conn)

  Removes a JMSConnector from the appropriate vendor pool

### reserve

    public void reserve(JMSConnector connector)
                 throws java.lang.Exception

  Performs a non-exclusive checkout of the JMSConnector

  Throws:
    `java.lang.Exception`

### release

    public void release(JMSConnector connector)

  Performs a non-exclusive checkin of the JMSConnector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.